cordova.define("cordova-plugin-bqt.BQT", function(require, exports, module) {
/*
 * Javascript interface of Cordova plugin for Umeng Analytics SDK
 */

var BQT = {
  init: function () {
    cordova.exec(null, null, "BQT", "init", []);
  },
  /**
   * 
   * @param {*} params 
   * @param {*} onSuccess 
   * @param {*} onError 
   */
  showReward: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "BQT", "showReward", [params]);
  },
  
  showBanner: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "BQT", "showBanner", [params]);
  },

  closeBanner: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "BQT", "closeBanner", [params]);
  },
  loadInter: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "BQT", "loadInter", [params]);
  },
  showInter: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "BQT", "showInter", [params]);
  },
}
module.exports = BQT;

});
