cordova.define("cordova-plugin-csj.CSJ", function(require, exports, module) {
/*
 * Javascript interface of Cordova plugin for Umeng Analytics SDK
 */

var CSJ = {
  init: function () {
    cordova.exec(null, null, "CSJ", "init", []);
  },
  showReward: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "CSJ", "showReward", [params]);
  },
  showBanner: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "CSJ", "showBanner", [params]);
  },
  closeBanner: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "CSJ", "closeBanner", [params]);
  },
  loadInter: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "CSJ", "loadInter", [params]);
  },
  showInter: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "CSJ", "showInter", [params]);
  },
  exitApp: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "CSJ", "exitApp", [params]);
  },
  
}
module.exports = CSJ;

});
