cordova.define("cordova-plugin-gdt.GDT", function(require, exports, module) {
/*
 * Javascript interface of Cordova plugin for Umeng Analytics SDK
 */

var GDT = {

  init: function () {
    cordova.exec(null, null, "GDT", "init", []);
  },
  /**
   * 
   * @param {*} params 
   * @param {*} onSuccess 
   * @param {*} onError 
   */
  showReward: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "GDT", "showReward", [params]);
  },
  
  showBanner: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "GDT", "showBanner", [params]);
  },

  closeBanner: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "GDT", "closeBanner", [params]);
  },
  loadInter: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "GDT", "loadInter", [params]);
  },
  showInter: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "GDT", "showInter", [params]);
  },
  
};

module.exports = GDT;

});
